CairoRadialGradient
CairoRadialGradient::getCircles
CairoRadialGradient
PHP Manual

# CairoRadialGradient::__construct

(PECL cairo >= 0.1.0)

CairoRadialGradient::__construct — The __construct purpose

### Description

Object oriented style:

public CairoRadialGradient::__construct ( float `$x0` , float `$y0` , float `$r0` , float `$x1` , float `$y1` , float `$r1` )

Procedural style:

Creates a new radial gradient CairoPattern between the two circles defined by (x0, y0, r0) and (x1, y1, r1). Before using the gradient pattern, a number of color stops should be defined using CairoRadialGradient::addColorStopRgb() or CairoRadialGradient::addColorStopRgba().

Note: The coordinates here are in pattern space. For a new pattern, pattern space is identical to user space, but the relationship between the spaces can be changed with CairoRadialGradient::setMatrix().

### Parameters

`x0`

  x coordinate for the center of the start circle.

`y0`

  y coordinate for the center of the start circle.

`r0`

  radius of the start circle.

`x1`

  x coordinate for the center of the end circle.

`y1`

  y coordinate for the center of the end circle.

`r1`

  radius of the end circle.

### Return Values

Description...

### Examples

Example #1 CairoRadialGradient::__construct() example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

### See Also

- Classname::Method()

CairoRadialGradient
CairoRadialGradient::getCircles
CairoRadialGradient
PHP Manual